Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
FireBurn's 32bit Mesa Overlay with LLVM Support
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 165
Location: Edinburgh, UK

PostPosted: Wed Feb 20, 2013 2:02 pm    Post subject: Reply with quote

I wonder if that's due to the EAPI change - I though I tested all these but it was just the live ones that I updated
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Wed Feb 20, 2013 3:58 pm    Post subject: Reply with quote

Confirm that the ebuild for libX11-32bit-1.5.0.ebuild is fixed now in the overlay.

And I add my thanks as well for this overlay!!

Jason
Back to top
View user's profile Send private message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 165
Location: Edinburgh, UK

PostPosted: Sun Feb 24, 2013 10:35 pm    Post subject: Reply with quote

Hi I've just committed quite a few changes to the overlay

Commit message here:

Quote:

Big rewrite of the overlay
Hopefully there will now be fewer problems when adding for the first time

There are slightly fewer hacks (no more overriding P & PV)

OpenCL seems to work but hasn't been tested under 32bit yet - there are still a few outstanding but about the install location

All the ebuilds that are in portage / x11 overlay have been appended with r50 to make it easier for me to maintain and hopefully cause fewer issues when ebuilds are bumped without me
noticing

I'm still no where near figuring out how to get a single ebuild to successfully compile both 32 & 64 bit libraries for anything other than the simple ebuilds (if anyone figures it out
please do let me know) - I think the x11 overlay guys have been tinkering with this though

As always please direct bugs to https://github.com/FireBurn/Overlay and if you have any comments / queries feel free to use the Gentoo forums
http://forums.gentoo.org/viewtopic-t-886398.html

Cheers again

Mike


Let me know if this improves anything or if it caused any bother for any one

OpenCL has been added but it's not well tested and I'm having a few issues with the install path (I think it's an issue upstream)
Back to top
View user's profile Send private message
Displacer
n00b
n00b


Joined: 11 May 2013
Posts: 1

PostPosted: Sat May 11, 2013 11:48 am    Post subject: Reply with quote

FireBurn wrote:
Hi I've just committed quite a few changes to the overlay
Let me know if this improves anything or if it caused any bother for any one


Is it correct to have both x11 and FireBurn overlays at the same time with this changes?
Back to top
View user's profile Send private message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 165
Location: Edinburgh, UK

PostPosted: Sat May 11, 2013 2:15 pm    Post subject: Reply with quote

I have the x11 overlay installed as I test the whole stack but I'm not sure if its necessary or not. If you could give it a try on its own and let me know how you get on I'd be grateful

If it does need anything from the x11 overlay I could always add the ebuilds for you so you only need the FireBurn overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5709
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Jun 06, 2013 5:46 pm    Post subject: Reply with quote

whoa !

that's some mess with the new ABI changes :x


upgraded to gcc 4.8.1; installed libdrm, llvm and new mesa doesn't seem to be able to find llvm even though it's installed:

Quote:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMAsmParser
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMipo
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMVectorize
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMBitReader
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMR600CodeGen
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMR600Desc
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMR600Info
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMR600AsmPrinter
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMMCJIT
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMBitWriter
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86Disassembler
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86AsmParser
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86CodeGen
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMSelectionDAG
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMAsmPrinter
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMMCParser
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86Desc
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86Info
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86AsmPrinter
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMX86Utils
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMJIT
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMRuntimeDyld
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMExecutionEngine
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMCodeGen
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMObjCARCOpts
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMScalarOpts
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMInstCombine
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMTransformUtils
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMipa
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMAnalysis
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMTarget
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMMC
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMObject
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMCore
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lLLVMSupport
collect2: error: ld returned 1 exit status
gmake[3]: *** [libOSMesa.la] Error 1
gmake[3]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999-r51/work/Mesa-9999-x86/src/gallium/targets/osmesa'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999-r51/work/Mesa-9999-x86/src/gallium/targets'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/var/tmp/portage/media-libs/mesa-9999-r51/work/Mesa-9999-x86/src'
make: *** [all-recursive] Error 1
* ERROR: media-libs/mesa-9999-r51 failed (compile phase):
* emake failed



any ideas ?


thanks :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Thu Jun 06, 2013 8:00 pm    Post subject: Reply with quote

I believe it's related to this bug. Try re-synching the overlay and then re-emerging sys-devel/clang-9999-r51. It should be addressed now.

Good Luck..
Back to top
View user's profile Send private message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 165
Location: Edinburgh, UK

PostPosted: Mon Jun 10, 2013 7:49 am    Post subject: Reply with quote

Thanks json - my new gmail inbox hid all the messages from here and github telling me about the bugs - luckily I stumbled over most of them myself
Back to top
View user's profile Send private message
Cynede
Developer
Developer


Joined: 30 Nov 2012
Posts: 36

PostPosted: Sat Sep 14, 2013 4:10 pm    Post subject: Reply with quote

I'm in.

Will try / contribute if everything will go fine.
_________________
GitHub
Twitter
Last.fm

“Pain is inevitable Suffering is optional” Haruki Murakami, What I Talk About When I Talk About Running
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5709
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Oct 11, 2013 9:02 pm    Post subject: Reply with quote

mesa fails,

is the patch even still needed ?


>>> Failed to emerge media-libs/mesa-9999-r51, Log file:

>>> '/var/log/portage/media-libs:mesa-9999-r51:20131011-205938.log'

* Messages for package media-libs/mesa-9999-r51:

* Failed Patch: mesa-llvm-3.4-fix.patch !
* ( /usr/gentoo/layman/FireBurn/media-libs/mesa/files/mesa-llvm-3.4-fix.patch )



Quote:
***** mesa-llvm-3.4-fix.patch *****
PWD: /var/tmp/portage/media-libs/mesa-9999-r51/work/Mesa-9999

===================================

PATCH COMMAND: patch -p0 -g0 -E --no-backup-if-mismatch < '/usr/gentoo/layman/FireBurn/media-libs/mesa/files/mesa-llvm-3.4-fix.patch'

===================================
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|From 2572e3b4a17e4b0de9b5ed7fe6f4edf01abd5655 Mon Sep 17 00:00:00 2001
|From: Laurent Carlier <lordheavym@gmail.com>
|Date: Tue, 06 Aug 2013 22:05:25 +0000
|Subject: gallivm: Fix build - Remove TargetOptions.RealignStack for llvm>=3.4
|
|Since llvm -3.4svn r187618, TargetOptions doesn't provide
|RealignStack, so only enable it with llvm<3.4
|
|This option must now be specified using function attributes, see LLVM
|commit r187618
|
|Reviewed-by: Tom Stellard <thomas.stellard@amd.com>
|---
|diff --git a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|index e09bb78..e8d2db2 100644
|--- a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|+++ b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
--------------------------
No file to patch. Skipping patch.
1 out of 1 hunk ignored

patch program exited with status 1
===================================

PATCH COMMAND: patch -p1 -g0 -E --no-backup-if-mismatch < '/usr/gentoo/layman/FireBurn/media-libs/mesa/files/mesa-llvm-3.4-fix.patch'

===================================
checking file src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
Hunk #1 FAILED at 273.
1 out of 1 hunk FAILED

patch program exited with status 1
===================================

PATCH COMMAND: patch -p2 -g0 -E --no-backup-if-mismatch < '/usr/gentoo/layman/FireBurn/media-libs/mesa/files/mesa-llvm-3.4-fix.patch'

===================================
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|From 2572e3b4a17e4b0de9b5ed7fe6f4edf01abd5655 Mon Sep 17 00:00:00 2001
|From: Laurent Carlier <lordheavym@gmail.com>
|Date: Tue, 06 Aug 2013 22:05:25 +0000
|Subject: gallivm: Fix build - Remove TargetOptions.RealignStack for llvm>=3.4
|
|Since llvm -3.4svn r187618, TargetOptions doesn't provide
|RealignStack, so only enable it with llvm<3.4
|
|This option must now be specified using function attributes, see LLVM
|commit r187618
|
|Reviewed-by: Tom Stellard <thomas.stellard@amd.com>
|---
|diff --git a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|index e09bb78..e8d2db2 100644
|--- a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|+++ b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
--------------------------
No file to patch. Skipping patch.
1 out of 1 hunk ignored

patch program exited with status 1
===================================

PATCH COMMAND: patch -p3 -g0 -E --no-backup-if-mismatch < '/usr/gentoo/layman/FireBurn/media-libs/mesa/files/mesa-llvm-3.4-fix.patch'

===================================
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|From 2572e3b4a17e4b0de9b5ed7fe6f4edf01abd5655 Mon Sep 17 00:00:00 2001
|From: Laurent Carlier <lordheavym@gmail.com>
|Date: Tue, 06 Aug 2013 22:05:25 +0000
|Subject: gallivm: Fix build - Remove TargetOptions.RealignStack for llvm>=3.4
|
|Since llvm -3.4svn r187618, TargetOptions doesn't provide
|RealignStack, so only enable it with llvm<3.4
|
|This option must now be specified using function attributes, see LLVM
|commit r187618
|
|Reviewed-by: Tom Stellard <thomas.stellard@amd.com>
|---
|diff --git a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|index e09bb78..e8d2db2 100644
|--- a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|+++ b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
--------------------------
No file to patch. Skipping patch.
1 out of 1 hunk ignored

patch program exited with status 1
===================================

PATCH COMMAND: patch -p4 -g0 -E --no-backup-if-mismatch < '/usr/gentoo/layman/FireBurn/media-libs/mesa/files/mesa-llvm-3.4-fix.patch'

===================================
can't find file to patch at input line 18
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|From 2572e3b4a17e4b0de9b5ed7fe6f4edf01abd5655 Mon Sep 17 00:00:00 2001
|From: Laurent Carlier <lordheavym@gmail.com>
|Date: Tue, 06 Aug 2013 22:05:25 +0000
|Subject: gallivm: Fix build - Remove TargetOptions.RealignStack for llvm>=3.4
|
|Since llvm -3.4svn r187618, TargetOptions doesn't provide
|RealignStack, so only enable it with llvm<3.4
|
|This option must now be specified using function attributes, see LLVM
|commit r187618
|
|Reviewed-by: Tom Stellard <thomas.stellard@amd.com>
|---
|diff --git a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|index e09bb78..e8d2db2 100644
|--- a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
|+++ b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
--------------------------
No file to patch. Skipping patch.
1 out of 1 hunk ignored

patch program exited with status 1

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2467
Location: Austria

PostPosted: Sat Nov 09, 2013 1:00 pm    Post subject: Reply with quote

Just noticed you did a stable version bump on sandbox for a build fix with hardmasked glibc-2.18 - so that just leads to unnecessary cpu time for most users. Usually, build fixes don't cause a minor bump in portage.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 165
Location: Edinburgh, UK

PostPosted: Tue Dec 17, 2013 6:02 pm    Post subject: Reply with quote

Sandbox is rather tiny but apologies I tend to bump things to force that version over portage

I don't think there's much left in my overlay now that isn't already in portage or the x11 overlay - it's mostly my sandpit that I use to make sure all my machines are running the same set of builds

I guess there's the "nine" state tracker but I don't know if that's still active or not

I guess when the x86-emul-linux packages are gone entirely there won't be any need for this overlay at all
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2467
Location: Austria

PostPosted: Wed Dec 18, 2013 2:40 pm    Post subject: Reply with quote

I think the xml stuff is still not multilibed in portage, but indeed there's not much left. Your overlay was very helpful to get early into the wine-all-multilib-deps fun. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
FireBurn
Apprentice
Apprentice


Joined: 19 Sep 2004
Posts: 165
Location: Edinburgh, UK

PostPosted: Mon Apr 14, 2014 3:23 pm    Post subject: Reply with quote

I've now added Xwayland and glamor (in the xserver) support
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2467
Location: Austria

PostPosted: Sat Apr 19, 2014 8:57 am    Post subject: Reply with quote

Using your guile-1.8.8-r2 ebuild, it bails out here:
Code:
configure:12545: checking for lt_dlinit in -lltdl
configure:12570: x86_64-pc-linux-gnu-gcc -m32 -o conftest -O2 -march=core2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lltdl   >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../libltdl.so when searching for -lltdl
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libltdl.so when searching for -lltdl
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lltdl
collect2: error: ld returned 1 exit status
configure:12570: $? = 1


USE flags besides abi_x86_32: networking nls regex threads

Seems it requires multilibed libtool?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum